# Xapian::Stopper Class Reference

Base class for stop-word decision functor. More...

`#include <queryparser.h>`

Inheritance diagram for Xapian::Stopper:

[legend]
List of all members.

## Public Member Functions

virtual bool | operator() (const std::string &term) const =0
| Is term a stop-word?
virtual | ~Stopper ()
| Class has virtual methods, so provide a virtual destructor.

## Detailed Description

Base class for stop-word decision functor.

## Constructor & Destructor Documentation

virtual Xapian::Stopper::~Stopper | ( |  | ) | `[inline, virtual]`

| Class has virtual methods, so provide a virtual destructor.

## Member Function Documentation

virtual bool Xapian::Stopper::operator() | ( | const std::string & | term | ) | const`[pure virtual]`

| Is term a stop-word? Implemented in Xapian::SimpleStopper.

The documentation for this class was generated from the following file:

- include/xapian/queryparser.h